/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
/*typo*/

/* titillium-web-regular - latin */
@font-face {
  font-family: 'Titillium Web';
  font-style: normal;
  font-weight: 400;
  src: url('../../../fonts/titillium-web-v8-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('Titillium Web Regular'), local('TitilliumWeb-Regular'),
       url('../../../fonts/titillium-web-v8-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../../../fonts/titillium-web-v8-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../../../fonts/titillium-web-v8-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('../../../fonts/titillium-web-v8-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../../../fonts/titillium-web-v8-latin-regular.svg#TitilliumWeb') format('svg'); /* Legacy iOS */
}

/* titillium-web-700 - latin */
@font-face {
  font-family: 'Titillium Web';
  font-style: normal;
  font-weight: 700;
  src: url('../../../fonts/titillium-web-v8-latin-700.eot'); /* IE9 Compat Modes */
  src: local('Titillium Web Bold'), local('TitilliumWeb-Bold'),
       url('../../../fonts/titillium-web-v8-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../../../fonts/titillium-web-v8-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('../../../fonts/titillium-web-v8-latin-700.woff') format('woff'), /* Modern Browsers */
       url('../../../fonts/titillium-web-v8-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../../../fonts/titillium-web-v8-latin-700.svg#TitilliumWeb') format('svg'); /* Legacy iOS */
}
html,* {
  box-sizing: border-box;
}

html, body {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 400;
}   
h1, h2, h3, h4, h5 {
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 700;
    color: white;
    text-transform: uppercase;
}
h1 {
  margin-bottom: 1rem;
  text-shadow: 0 3px 5px black;
  font-size: 3rem;
  margin-top: 0;
  @media screen and (min-width: 40em) {
    font-size: 10rem;
  }
  @media screen and (min-width: 64em) {}
}
h2,
h3 {
  margin: 0 0 2rem 0;
  text-shadow: 0 3px 5px black;
}
h2 {
  font-size: 2.5rem;
  @media screen and (min-width: 40em) {
    font-size:5rem;
  }
  @media screen and (min-width: 64em) {}
}
h2 span {
  color: white;
}
h3 {
  margin-bottom: 1rem;
  font-size:1.75rem;
  @media screen and (min-width: 40em) {
    font-size:3rem;
  }
}
a {
  color: #E85823;
}
p {
  color: white;
  font-weight: 400;
  text-shadow: 0px 2px 5px black;
  font-size: 1rem;
  margin: 0 0 2rem 0;
  @media screen and (min-width: 40em) {
    font-size: 2rem;
  }
  @media screen and (min-width: 64em) {}
}
p.intro {
  font-weight: 700;
}

/*header*/
.logo {
  position: fixed;
  z-index: 2;
  top: 10px;
  right: 10px;
  width: 50px;
  height: 50px;
  opacity: 0;
  transition: opacity .25s ease;
  @media screen and (min-width: 40em) {
    top: 20px;
    right: 20px;
    width: 120px;
    height: 115px;
  }
}
.logo.active {
  opacity: 1;
}
.logo-wrapper svg path,
.logo svg path {
  fill: white;
}
.logo-wrapper {
  margin: 0 auto;
  width: 50%;
  @media screen and (min-width: 40em) {
    max-width: 200px;
  }

}

/***PAGE***/
body {
  background: #2d3035;
  margin: 0;
  padding: 0;
}

.pagewrapper {
  background-image: url('../../img/bg-chicago.jpg');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
.page {
  height: auto;
  min-height:100vh;
  display: flex;
  flex-direction: column;
  @media screen and (min-width: 40em) {
    height: 100vh;
  }
  @media screen and (min-width: 64em) {}
}
.container {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  text-align: center;
  padding:1rem;
}
.flex {
  display:flex;
  flex-direction:column;
  flex-wrap: nowrap;
  align-items: start;
  justify-content: center;
  @media screen and (min-width: 40em) {
    flex-direction:row;
  }
}
.flex .item {
  flex: 1;
  padding: 0 1rem;
  margin-bottom: 3rem;
  @media screen and (min-width: 40em) {
    margin-bottom: 0;
  }
}
.flex .item p {
  padding-top: 2rem;
  text-align: justify;
  font-size: 1rem;
  @media screen and (min-width: 40em) {
    font-size: 1.25rem;
  }
}
.page .dealerlist {
  height: auto;
}
.fullpage {
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
}
#pbr-serie {
  background: #e84d08 url('../../pbr-serie/img/bg-start.jpg') 50% 100% / 200% no-repeat;
  @media screen and (min-width: 40em) {
    background: #e84d08 url('../../pbr-serie/img/bg-start.jpg') 0% 100% / 80% no-repeat;
  }
}
#revolution-serie {
  background: #e84d08 url('../../revolution-serie/img/bg-start.jpg') 50% 100% / 200% no-repeat;
  @media screen and (min-width: 40em) {
    background: #e84d08 url('../../revolution-serie/img/bg-start.jpg') 0% 100% / 80% no-repeat;
  }
}
#pg-serie {
  background: #e84d08 url('../../pg-serie/img/bg-start.jpg') 100% 100% / 200% no-repeat;
  @media screen and (min-width: 40em) {
    background: #e84d08 url('../../pg-serie/img/bg-start.jpg') 100% 100% / 80% no-repeat;
  }
}
/*PRODUCT PAGE*/
.product {
  align-items: end;
  padding: 0;
  position: relative;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  @media screen and (min-width: 40em) {
    padding-right: 7rem;
  }
}
.product::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, rgba(0,0,0,1), rgba(0,0,0,0.3));
    pointer-events: none;
}
@media screen and (min-width: 40em) {
  .product:nth-child(even)::before {
      background: linear-gradient(to left, rgba(0,0,0,.7), rgba(0,0,0,0));
  }

  .product:nth-child(odd)::before {
      background: linear-gradient(to right, rgba(0,0,0,.7), rgba(0,0,0,0));
  }
}
.product:nth-child(odd) {
  align-items: start;
  padding: 0;
  @media screen and (min-width: 40em) {
    padding-left: 7rem;
  }
}
.product .container {
  width: 100%;
  margin: 0;
  z-index: 1;
  padding: 1rem;
  @media screen and (min-width: 40em) {
    width: 50%;
    padding: 3rem;
  }
}
.product .container h2,
.product .container p {
  text-align: center;
  padding: 0;
  @media screen and (min-width: 40em) {
    text-align: right;
  }
}
.product:nth-child(odd) .container h2,
.product:nth-child(odd) .container p {
  text-align: center;
  @media screen and (min-width: 40em) {
    text-align: left;
  }
}
.product img {
  width: 100%;
  max-width: 100%;
}



.autoheight {
  height: auto;
  background-color: #E85823;
  color: black;
  display: block;
  padding: 2rem;
  min-height: 0;
}
.autoheight p {
  text-align: center;
  margin: 0;
  color: black;
  font-size: 1rem;
  text-shadow: none;
}

/*lists*/
ul.featurelist {
  margin: 0;
  padding: 0;
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  flex-wrap: nowrap;
  @media screen and (min-width: 40em) {
    flex-direction: row;
  }
}
ul.featurelist li {
  display: inline-block;
  border-bottom: 1px solid #E85823;
  padding: 1rem;
  margin: 1rem;
  color: white;
}
ul.infolist {
  margin: 0;
  width: 100%;
  text-align: center;
  padding: 0;
}
ul.infolist li {
  display: inline-block;
  padding: 1rem;
}
ul.infolist li a {
  color: #000;
}

/*table*/
.tableresp { 
  width: 100%; 
  overflow: auto;
}
.tableresp::-webkit-scrollbar{
  appearance: none;
  width: 14px;
  height: 14px;
}

.tableresp::-webkit-scrollbar-thumb{
  border-radius: 8px;
  border: 3px solid #fff;
  background-color: rgba(0, 0, 0, .3);
}
table {
  color: white;
  border-collapse: collapse;
  margin: 0 auto;  
}
table tr {
  color: white;
  border-bottom: 1px solid white;
}
table th,
table td {
  padding: .5rem 1rem;
  text-align: center;
  white-space: nowrap;
}
table tbody th {
  text-align: left;
}
table thead tr {
  background-color: #E85823;
  border-bottom: 1px solid #E85823;
}
table thead th {
  color: black;
}
table thead th:first-child {
  text-align: left;
}
table thead th a {
  color: black;
  white-space: nowrap;
}



.mobile-scroll {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  text-align: center;
  display: none;
  justify-content: start;
  align-items: center;
  flex-direction: row;
  flex-wrap: nowrap;
  padding-bottom: 1rem;
}
.mobile-scroll svg path {
  fill: #E85823;
}
.mobile-scroll p {
  color: #E85823;
  padding: 0 .5rem 0 1rem;
  margin: 0;
  text-transform: uppercase;
  font-size: .8rem;
  font-weight: 700;
  line-height: 0;
}


/***BACKGROUNDS***/
#kaufen {
  background:black;
}

/*buttons*/
.button {
    cursor: pointer;
    font-family: 'Titillium Web';
    font-style: normal;
    font-weight: 700;
    font-size: 1rem;
    padding: .5rem 1rem;
    text-decoration: none;
    background-color: white;
    color: black;
    transition: background .25s ease;
}
.button:hover,
.button:focus {
  background-color: #E85823;
}
.button.secondary {
  background-color: transparent;
  border: 2px solid #666;
  color: #666;
}
.button.small {
  font-size: 0.7rem;
  padding: .25rem .5rem;
}


/***COOKIE BANNER***/
#cookies-eu-banner {
  margin: 0;
    padding: 0;
    overflow: hidden;
    background: rgba(0,0,0,.8);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100vh;
    width:100vw;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    -ms-align-items: center;
    align-items: center;
    justify-content: center;
    z-index: 10000;
}
#cookies-eu-banner p {
    font-size: 100%;
  width: 100%;
  max-width: 50%;
    color: #fff;
    padding: 1rem;
    border: 1px solid #fff;
    background-color: #000;
}
#cookies-eu-banner a {
  text-decoration: underline;
}
#cookies-eu-analytics,
#cookies-eu-accept {
  margin-left: 1rem;
}
#cookies-eu-reject,
#cookies-eu-analytics,
#cookies-eu-accept {
  margin-top: 1rem;
}
.button#cookies-eu-analytics,
.button#cookies-eu-reject {
  background-color: #444;
  color: #ccc;
  font-weight: 400;
}

.dealerlist {
  display: none;
  margin-top: 2rem;
  text-align: center;
}
.dealerlist a.button {
  display: inline-block;
  margin: .5rem 0 .5rem 1rem;
}


/*menu*/
nav {
  position: fixed;
  top:0;
  left: 0;
  z-index: 1000;
  width: 80px;
  height: 60px;
  background: rgba(0,0,0,.5);
}
#menuToggle {
  display: block;
  position: relative;
  top: 20px;
  left: 20px;
  z-index: 2;
  -webkit-user-select: none;
  user-select: none;
  width: 50px;
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0;
  z-index: 3;
  -webkit-touch-callout: none;
}
#menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background: #efefef;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}
#menuToggle span:first-child {
  transform-origin: 0% 0%;
}
#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
}

#menu {
  position: absolute;
  margin: -100px 0 0 -20px;
  padding: 20px;
  padding-top: 105px;
  background: #ededed;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
  min-width: 250px; 
  width: auto;
  color: #000;
}
#menu li {
  font-size: 1rem;
  padding: 0;
}
#menu h4,
#menu a {
  color: #000;
  text-decoration: none;
}
#menuToggle input:checked ~ ul {
  transform: none;
}



/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}


/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}


